# $Revision: 1.67.2.2 $, $Date: 2006/05/18 19:49:45 $
#
# Conditional build:
%bcond_without	apidocs		# disable gtk-doc
#
Summary:	Accessibility implementation for GTK+ and GNOME libraries
Summary(pl):	Implementacja uatwiania pracy niepenosprawnym dla GTK+ i GNOME
Name:		gail
Version:	1.8.11
Release:	2
License:	LGPL
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/gnome/sources/gail/1.8/%{name}-%{version}.tar.bz2
# Source0-md5:	ff79df7dd0cf7a5109c089b9b5fbe17f
URL:		http://developer.gnome.org/projects/gap/
BuildRequires:	atk-devel >= 1:1.11.4
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel >= 2:2.6.4
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.0}
BuildRequires:	gtk-doc-automake
BuildRequires:	libgnomecanvas-devel >= 2.6.1
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.197
Requires:	atk >= 1:1.11.4
Requires:	gtk+2 >= 2:2.6.4
Requires:	libgnomecanvas >= 2.14.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GAIL implements the abstract interfaces found in ATK for GTK+ and
GNOME libraries, enabling accessibility technologies such as at-spi to
access those GUIs.

%description -l pl
GAIL jest implementacj abstrakcyjnych interfejsw z ATK dla bibliotek
GTK+ i GNOME, umoliwiajc korzystanie z technik takich jak at-spi,
aby uatwi niepenosprawnym korzystanie z tych GUI.

%package devel
Summary:	Header files to compile applications that use GAIL
Summary(pl):	Pliki nagwkowe GAIL
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	atk-devel >= 1:1.11.4
%{?with_apidocs:Requires:	gtk-doc-common}
Requires:	gtk+2-devel >= 2:2.6.4
Requires:	libgnomecanvas-devel >= 2.14.0

%description devel
gail-devel contains the header files required to compile applications
against the GAIL libraries.

%description devel -l pl
Pakiet gail-devel zawiera pliki nagwkowe potrzebne do kompilowania
aplikacji uywajcych bibliotek GAIL.

%package static
Summary:	Static GAIL libraries
Summary(pl):	Statyczne biblioteki GAIL
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
gail-static contains the static GAIL libraries.

%description static -l pl
Pakiet gail-static zawiera statyczne biblioteki GAIL.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	%{?with_apidocs:--enable-gtk-doc} \
	--enable-static \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# no static modules and *.la for gtk modules - shut up check-files
rm -f $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/modules/lib*.{la,a}

rm -r $RPM_BUILD_ROOT%{_datadir}/locale/no

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/gtk-2.0/modules/lib*.so
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%{?with_apidocs:%{_gtkdocdir}/*}
%{_includedir}/gail-1.0
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_pkgconfigdir}/*.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gail.spec,v $
Revision 1.67.2.2  2006/05/18 19:49:45  baggins
- release 2
- strict reqs

Revision 1.67.2.1  2006/05/12 18:09:17  baggins
- merged from HEAD

Revision 1.70  2006/03/13 17:34:57  freetz
- 1.8.11 (GNOME 2.14)

Revision 1.69  2006/02/21 17:44:08  freetz
- 1.8.10

Revision 1.68  2006/02/13 20:45:44  freetz
- 1.8.9

Revision 1.67  2005/11/29 09:01:34  freetz
- 1.8.8

Revision 1.66  2005/11/24 10:58:24  freetz
- 1.8.7

Revision 1.65  2005/11/14 16:35:25  freetz
- 1.8.6

Revision 1.64  2005/11/13 12:42:29  adgor
- apidocs bcond

Revision 1.63  2005/10/05 20:22:13  blues
- rel.2

Revision 1.62  2005/08/31 07:41:12  paladine
- updated to 1.8.5 (bugfixes and new locale)
- sorted %%files

Revision 1.61  2005/06/01 19:20:37  zbyniu
- BR: gettext-devel

Revision 1.60  2005/04/28 19:52:44  paladine
- updated to 1.8.4

Revision 1.59  2005/04/12 21:34:33  qboosh
- /sbin/ldconfig deps for post* -p are autogenerated

Revision 1.58  2005/04/12 19:23:21  freetz
- reversed ldconfig changes

Revision 1.57  2005/04/12 15:20:53  paladine
- missing R(post,postun): /sbin/ldconfig

Revision 1.56  2005/04/12 15:12:28  paladine
- updated to 1.8.3
- new style macros

Revision 1.55  2005/01/08 12:14:00  aniolek
- updated to 1.8.2

Revision 1.54  2004/11/25 19:33:42  freetz
- 1.8.1, STBR

Revision 1.53  2004/09/13 14:01:07  grzegol
- merged from DEVEL and updated to 1.8.0

Revision 1.52.2.3  2004/09/10 14:25:22  grzegol
- updated to 1.7.1
- removed locale-names patch
- remove no locale in %%install

Revision 1.52.2.2  2004/08/20 19:09:28  aflinta
- small fix

Revision 1.52.2.1  2004/08/20 19:08:52  aflinta
- up to verison 1.7.0

Revision 1.52  2004/08/17 11:44:11  ankry
- rel. 3 to rebuild

Revision 1.51  2004/06/08 15:03:50  aflinta
- up to version 1.6.6

Revision 1.50  2004/05/25 13:32:50  grzegol
- updated to 1.6.5

Revision 1.49  2004/05/14 21:04:54  aflinta
- up to version 1.6.4

Revision 1.48  2004/04/26 14:49:56  aflinta
- up to version 1.6.3

Revision 1.47  2004/04/19 17:00:34  grzegol
- updated to 1.6.2

Revision 1.46  2004/04/07 15:23:01  grzegol
- updated to 1.6.1

Revision 1.45  2004/03/23 09:44:48  qboosh
- require proper atk/gtk+2/libgnomecanvas versions on install

Revision 1.44  2004/03/22 11:49:24  grzegol
- merged from DEVEL and updated to 1.6.0

Revision 1.43.2.10  2004/03/15 12:08:46  grzegol
- updated to 1.5.8

Revision 1.43.2.9  2004/03/08 23:46:39  grzegol
- updated to 1.5.7

Revision 1.43.2.8  2004/02/25 16:00:59  grzegol
- updated to 1.5.6
- added locale-names patch (changes locale no -> nb)
- strict internal deps

Revision 1.43.2.7  2004/02/16 11:55:28  aflinta
- up to version 1.5.5

Revision 1.43.2.6  2004/02/03 13:21:27  grzegol
- updated to 1.5.4

Revision 1.43.2.5  2004/01/12 17:07:52  grzegol
- updated to 1.5.3
- removed outdated am patch

Revision 1.43.2.4  2003/12/15 12:11:20  wiget
- fix epoch in gtk+ BR

Revision 1.43.2.3  2003/12/05 22:53:00  wiget
- 1.5.1

Revision 1.43.2.2  2003/11/21 11:51:46  wiget
- 1.5.1

Revision 1.43.2.1  2003/11/12 23:54:02  wiget
- updated to 1.5.0

Revision 1.43  2003/10/14 14:22:16  qboosh
- -devel deps, BR: pkgconfig

Revision 1.42  2003/10/10 00:56:06  krzak
- up to 1.4.1

Revision 1.41  2003/09/02 11:08:54  grzegol
- updated to 1.4.0

Revision 1.40  2003/08/25 13:43:37  grzegol
- updated to 1.3.6

Revision 1.39  2003/08/18 08:08:04  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.38  2003/08/08 11:25:21  grzegol
- updated to 1.3.5

Revision 1.37  2003/07/11 12:28:23  ankry
- URL fixes and other cosmetics

Revision 1.36  2003/07/02 12:29:43  aflinta
- relase 2 for sure

Revision 1.35  2003/07/02 12:29:03  aflinta
- new source and md5sum

Revision 1.34  2003/07/02 07:57:43  aflinta
- version 1.3.4

Revision 1.33  2003/05/30 21:08:27  aflinta
- verison 1.3.3

Revision 1.32  2003/05/25 11:00:51  malekith
- massive attack, adding Source-md5

Revision 1.31  2003/05/25 05:47:38  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.30  2003/05/15 16:55:56  aflinta
- cleanups

Revision 1.29  2003/05/15 16:22:31  wiget
- release 1

Revision 1.28  2003/05/15 16:09:08  wiget
- updated to 1.3.2

Revision 1.27  2003/05/13 08:24:48  qboosh
- no *.la for gtk modules; release 2

Revision 1.26  2003/05/08 15:20:05  qboosh
- no static modules

Revision 1.25  2003/05/01 13:42:25  aflinta
- version 1.3.1

Revision 1.24  2003/03/20 20:05:46  aflinta
- updated to version 1.3.0

Revision 1.23  2003/02/09 15:46:59  radek
- BR: gtk-doc

Revision 1.22  2003/01/20 14:40:04  aflinta
- updated to version 1.2.0

Revision 1.21  2003/01/15 14:14:58  trojan
- fixed %%files (no need 755 for *.la)

Revision 1.20  2003/01/06 14:41:26  aflinta
- updated to version 1.1.7

Revision 1.19  2003/01/03 18:15:23  aflinta
- updated to version 1.1.6

Revision 1.18  2002/12/16 17:58:40  aflinta
- updated to version 1.1.5

Revision 1.17  2002/12/06 21:07:46  aflinta
- updated to version 1.1.4

Revision 1.16  2002/12/04 20:20:12  aflinta
- moved from /usr/X11R6 to /usr, _gtkdocdir is now in rpm macros, release 2

Revision 1.15  2002/11/22 13:35:04  wrobell
- requires atk 1.1.3 to build

Revision 1.14  2002/11/22 10:38:53  aflinta
- updated to version 1.1.3

Revision 1.13  2002/10/24 11:26:28  malekith
- release 2

Revision 1.12  2002/10/14 15:08:42  aflinta
- updated to version 1.1.2

Revision 1.11  2002/10/09 13:14:23  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.10  2002/10/03 12:21:51  wiget
- real solution not workaround

Revision 1.9  2002/10/03 09:31:15  aflinta
- changed to proper gtk-doc location

Revision 1.8  2002/10/02 22:19:51  aflinta
- updated to version 1.1.1

Revision 1.7  2002/08/15 14:29:26  michuz
- updated to 0.17

Revision 1.6  2002/06/12 10:41:28  wiget
updated to 0.16

Revision 1.5  2002/06/06 01:29:17  kloczek
- updated to 0.15.

Revision 1.4  2002/05/28 08:19:09  kloczek
- release 1: added full regenerate ac/am/lt files.

Revision 1.3  2002/05/21 13:56:36  qboosh
- pl translation, new %%doc

Revision 1.2  2002/04/28 14:24:59  michuz
- added post and postun

Revision 1.1  2002/04/28 14:23:25  michuz
- initial release (based on RH)
